> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/auth/token ⚠️

>  **Deprecated**

This method is deprecated and will be removed in future API versions. Use [`POST /v3/auth/token`](/api-reference/endpoint/post-v3-auth-token) instead.



## OpenAPI

````yaml POST /v2/auth/token
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/auth/token:
    post:
      tags:
        - auth
      summary: Get auth token (deprecated)
      description: >2-
         **Deprecated**

        This method is deprecated and will be removed in future API versions.
        Use [`POST /v3/auth/token`](/api-reference/endpoint/post-v3-auth-token)
        instead.
      parameters:
        - in: query
          name: validate
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Login'
          application/json:
            schema:
              $ref: '#/components/schemas/Login'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        example: SUCCESS
                      data:
                        type: object
                        properties:
                          accessToken:
                            type: string
                          refreshToken:
                            type: string
                          wsToken:
                            type: string
        '401':
          $ref: '#/components/responses/Unauthorized'
      deprecated: false
      security:
        - BasicAuth: []
components:
  schemas:
    Login:
      type: object
      properties:
        signToken:
          type: string
          example: abc123
        fingerprintid:
          type: string
          example: fingerprint-xyz
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    BasicAuth:
      type: http
      scheme: basic

````